Uploads a list of users to the provided destinations. Unlike audienceMembers.ingest (which adds users to specific advertiser audience lists for targeting), users.ingest ingests account level identity linkage data (for example, user identifiers linked to mobile IDs) independent of specific audience segments.
This feature is only available to accounts on an allowlist.
HTTP request
POST https://datamanager.googleapis.com/v1/users:ingest
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "destinations": [ { object ( |
| Fields | |
|---|---|
destinations[] |
Required. The list of possible ingestion destinations. |
users[] |
Required. The list of users to ingest. |
encryptionInfo |
Optional. Encryption information about encryption keys which are used to encrypt the data. |
validateOnly |
Optional. If |
encoding |
Required. The encoding type of the user identifiers. For encrypted user identifiers, this only applies to the outer encoding. |
Response body
Response from the IngestUsersRequest.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "requestId": string } |
| Fields | |
|---|---|
requestId |
The generated request id of the Ingestion Request. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/datamanager
User
Represents a single user, containing identifiers like PII and mobile device IDs that all refer to the same user.
| JSON representation |
|---|
{ "userData": { object ( |
| Fields | |
|---|---|
userData |
Required. Multiple pieces of user-provided data, used as the means of identifying the user. |
mobileData |
Required. Multiple mobile device ID strings to represent a single user. |